Bug 740879 - [ipa webui] In adder_dialog, an object can be selected to be added multiple times.
Summary: [ipa webui] In adder_dialog, an object can be selected to be added multiple t...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: IDM QE LIST
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-23 15:49 UTC by Namita Soman
Modified: 2011-12-06 18:32 UTC (History)
3 users (show)

Fixed In Version: ipa-2.1.2-1.el6
Doc Type: Bug Fix
Doc Text:
Do not document
Clone Of:
Environment:
Last Closed: 2011-12-06 18:32:28 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Namita Soman 2011-09-23 15:49:30 UTC
Description of problem:
For an HBAC rule, you can choose to add a Host in "Accessing" section. Then do a find, find it, and add it again to the list of prospective members. It will throw an error when finally clicking on Enroll...but it shouldn't allow to find the host for available list, when it is already in prospective list. 
Same behaviour seen in other areas where adder dialog used.

Version-Release number of selected component (if applicable):
ipa-server-2.1.1-4.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. Add and edit HBAC rule
2. Go to its Accessing section, and click to Add a Host
3. checkbox a host (previously added), and click on >>
4. In the 'Find' field, search for this host, and it will be listed in Available section
5. Choose it, and click on 'Enroll' again
 
  
Actual results:
This can go on, and same host can be added multiple times to the list.
Click on 'Enroll' and error is thrown, but this host does get enrolled  - once.

Expected results:
A host in Prospective list should not be 'found' in Available list


Additional info:

Comment 2 Rob Crittenden 2011-09-23 17:35:57 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/1859

Comment 3 Martin Kosek 2011-09-27 15:38:38 UTC
Fixed upstream:

master: a2a42c3be8e7a0fb591af14b3da298b5ae35b6ac
ipa-2-1: df16d4aff73f95d3cdac4f0d3504e4c73e936789

Comment 6 Namita Soman 2011-10-11 16:15:01 UTC
Verified using ipa-server-2.1.2-2.el6.x86_64
Doign a find for an object already enrolled, does not list it in 'Available' column. So it cannot be enrolled multiple times anymore

Comment 7 Martin Kosek 2011-11-01 09:04:28 UTC
This part of Enroll dialog behavior was reworked post-6.1, thus not entirely applicable as 6.1 bug.

Comment 8 Martin Kosek 2011-11-01 09:04:28 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Do not document

Comment 9 errata-xmlrpc 2011-12-06 18:32:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.